curl --request POST \
--url 'https://api.stateset.com/api/v1/ap/payment-runs' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"bill_ids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"created_by": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"payment_date": "2026-08-31T14:22:05Z",
"payment_method": "card"
}'
{
"approved_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_count": 1,
"payment_date": "2026-08-31T14:22:05Z",
"payment_method": "card",
"run_number": "string",
"status": "pending",
"total_amount": "102.12"
}
Ap create payment run
Ap create payment run
POST
/
api
/
v1
/
ap
/
payment-runs
curl --request POST \
--url 'https://api.stateset.com/api/v1/ap/payment-runs' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"bill_ids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"created_by": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"payment_date": "2026-08-31T14:22:05Z",
"payment_method": "card"
}'
{
"approved_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_count": 1,
"payment_date": "2026-08-31T14:22:05Z",
"payment_method": "card",
"run_number": "string",
"status": "pending",
"total_amount": "102.12"
}
Request body
CreateApPaymentRunRequest
string[]
required
string,null
string,null
string
required
RFC 3339 payment date.
string
required
One of
check, ach, wire, credit_card, cash, other.Response
ApPaymentRunResponse
string,null
string
required
string
required
integer (int32)
required
string
required
string
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/ap/payment-runs' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"bill_ids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"created_by": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"payment_date": "2026-08-31T14:22:05Z",
"payment_method": "card"
}'
{
"approved_by": "string",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_count": 1,
"payment_date": "2026-08-31T14:22:05Z",
"payment_method": "card",
"run_number": "string",
"status": "pending",
"total_amount": "102.12"
}
Last modified on August 31, 2026